Account Lookup

The Katapult API allows retailers to search for existing Katapult account holders using a phone number.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Can be utilized to look up if the user account exists with katapult or not.
Example:
Start with Request Verification Code - customer enters the phone number.
Verification code sent to the customer it will give response new_user : true/false

  • New User is false: submit verification code and customer phone lookup.
  • New User is true: Enter verification code & proceeds with create an application process.

Attributes

AttributeData TypeDescriptionRequired Format
phonestringCustomer's Phone Number10 Digit number

Request Payload

{
  "phone" : "123456789"
}

Account Lookup Errors

ErrorHTTP statusDescription
BAD REQUEST400phone Is Missing From Request Payload
UNAUTHORIZED401Invalid Authorization Token
Body Params
string
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Choose an example:
application/json